### Method

# Gio Task get_name

since: 2.60

#### Declaration [src]

    const gchar*
    g_task_get_name (
      GTask* task
    )

#### Description [src]

Gets `task`’s name. See g_task_set_name().

Available since: 2.60

#### Return value

Type: `const gchar*`

`task`’s name, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.